//----------------------------------------------------------------------------//
//  AppDelegate.m
//  SARURIS
//  Created by Takashi Kawasaki.
//  Creation date    2012/1/27
//  Last update date 2012/5/18
//  Copyright MaiWay Co., Ltd. All rights reserved.
//----------------------------------------------------------------------------//

//-------------------------------------------------//
// M-1 ヘッダーファイルをインポートしようブロック
//-------------------------------------------------//
#import "AppDelegate.h"
#import "CONST.h"

#pragma mark -
#pragma mark M-2 クラスとアクセサメソッドの実装をしようブロック
//-------------------------------------------------//
// M-2 クラスとアクセサメソッドの実装をしようブロック
//-------------------------------------------------//
@implementation AppDelegate
@synthesize window = _window;

#pragma mark -
#pragma mark M-6 デリゲートメソッドをイジろうブロック
//-------------------------------------------------//
// M-6 デリゲートメソッドをイジろうブロック
//-------------------------------------------------//
- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    // ユーザーデフォルトへ初期値の保存
	NSUserDefaults *userDefaults   = [NSUserDefaults standardUserDefaults];

    // 値の準備
    NSArray *rankingData  = [[NSArray alloc] initWithObjects:@"0",@"0",@"0",@"0",@"0",@"0",@"0",@"0",@"0",@"0",@"0",@"0",@"0",@"0",@"0",@"0",@"0",@"0",@"0",@"0", nil];
    NSData *backgroundImageData =  [[NSData alloc] initWithData:UIImagePNGRepresentation([UIImage imageNamed:@"bg_game.png"])];
    
    // データ保存（registerDefaultsを使うと、初期値を保存できます）
    NSMutableDictionary *defaults = [NSMutableDictionary dictionary];
    [defaults setObject:@"0.5" forKey:@"buttonAlpha"];
    [defaults setObject:@"1.0" forKey:@"audioVolume"];
    [defaults setObject:@"1" forKey:@"difficulty"];
    [defaults setObject:@"" forKey:@"backgroundMusicTitle"];
    [defaults setObject:rankingData forKey:@"rankingData"];
    [defaults setObject:backgroundImageData forKey:@"backgroundImageData"];
    [userDefaults registerDefaults:defaults];
    
    // ゲームセンターでのユーザー認証（アプリ自体がiOS5向けなので、使用可能チェックはしません）
    [[GKLocalPlayer localPlayer] authenticateWithCompletionHandler:^(NSError *error) {        
        if(error == nil) {
            //NSLog(@"ゲームセンターにログイン成功");
        } else {
            //NSLog(@"ゲームセンターにログイン失敗");
        }
    }];
    
    return YES;
}

// 各種デリゲートメソッド（今回は不使用）
- (void)applicationWillResignActive:(UIApplication *)application{}
- (void)applicationDidEnterBackground:(UIApplication *)application{}
- (void)applicationWillEnterForeground:(UIApplication *)application{}
- (void)applicationDidBecomeActive:(UIApplication *)application{}
- (void)applicationWillTerminate:(UIApplication *)application{}

//-------------------------------------------------//
// M-7 メソッドファイルおつかれさまでしたブロック
//-------------------------------------------------//
@end
