//----------------------------------------------------------------------------//
//  ViewController.m
//  SampleProject
//  Created by Takashi Kawasaki.
//  Creation date    2012/4/4
//  Last update date 2012/4/4
//  Copyright MaiWay Co., Ltd. All rights reserved.
//----------------------------------------------------------------------------//

//-------------------------------------------------//
// M-1 ヘッダーファイルをインポートしようブロック
//-------------------------------------------------//
#import "ViewController.h"

@interface ViewController ()
@end

//-------------------------------------------------//
// M-2 クラスとアクセサメソッドの実装をしようブロック
//-------------------------------------------------//
@implementation ViewController

//-------------------------------------------------//
// M-3 まずはここに処理を書こうブロック
//-------------------------------------------------//
- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    // ビューの設定をまとめて行うメソッドを呼び出します。
    [self configureView];
}

//-------------------------------------------------//
// M-4 ビューを好きなだけイジろうブロック
//-------------------------------------------------//
- (void)configureView
{
    // 基本情報
    NSInteger playerID = 1;
    
    // if文
    if(playerID == 1){
        NSLog(@"1番は主役のマイキーです！");
    }else if(playerID >= 2 && playerID <= 4){
        NSLog(@"準主役のみなさんです！");
    }else {
        NSLog(@"その他チョイ役のみなさんです！");
    }
    
    // switch文
    switch(playerID){
        case 1:
            NSLog(@"1番はマイキーです！");
            break;
            
        case 2:
            NSLog(@"2番はサリーです！");
            break;
            
        default:
            NSLog(@"その他チョイ役のみなさんです！");
            break;
    }
    
    // for文
    for(int i=1; i<=10; i++){
        NSLog(@"現在の繰り返し回数は『%d回目』です！" ,i);
    }
    
    // while文（注：無限ループになります）
    while(playerID == 1){
        NSLog(@"1番はマイキーです！");
    }
}

//-------------------------------------------------//
// M-5 オリジナルメソッドを実装しようブロック
//-------------------------------------------------//

//-------------------------------------------------//
// M-6 デリゲートメソッドをイジろうブロック
//-------------------------------------------------//
- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

//-------------------------------------------------//
// M-7 メソッドファイルおつかれさまでしたブロック
//-------------------------------------------------//
@end
