//----------------------------------------------------------------------------//
//  ViewController.m
//  SampleProject
//  Created by Takashi Kawasaki.
//  Creation date    2012/4/4
//  Last update date 2012/4/4
//  Copyright MaiWay Co., Ltd. All rights reserved.
//----------------------------------------------------------------------------//

//-------------------------------------------------//
// M-1 ヘッダーファイルをインポートしようブロック
//-------------------------------------------------//
#import "ViewController.h"

@interface ViewController ()
@end

//-------------------------------------------------//
// M-2 クラスとアクセサメソッドの実装をしようブロック
//-------------------------------------------------//
@implementation ViewController

//-------------------------------------------------//
// M-3 まずはここに処理を書こうブロック
//-------------------------------------------------//
- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    // ビューの設定をまとめて行うメソッドを呼び出します。
    [self configureView];
}

//-------------------------------------------------//
// M-4 ビューを好きなだけイジろうブロック
//-------------------------------------------------//
- (void)configureView
{
    UILabel *customLabel = [[UILabel alloc] initWithFrame:CGRectMake(10.0, 160.0, 300.0, 40.0)];
    customLabel.font = [UIFont fontWithName:@"HiraKakuProN-W6" size:18];
    customLabel.text = @"全キャラを一列に揃えると全消し！";
    customLabel.textAlignment = UITextAlignmentCenter;
    customLabel.backgroundColor = [UIColor clearColor];
    customLabel.shadowColor = [UIColor grayColor];
    customLabel.shadowOffset = CGSizeMake(1.0, 1.0);
    [self.view addSubview:customLabel];
}

//-------------------------------------------------//
// M-5 オリジナルメソッドを実装しようブロック
//-------------------------------------------------//

//-------------------------------------------------//
// M-6 デリゲートメソッドをイジろうブロック
//-------------------------------------------------//
- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

//-------------------------------------------------//
// M-7 メソッドファイルおつかれさまでしたブロック
//-------------------------------------------------//
@end
