//----------------------------------------------------------------------------//
//  ViewController.m
//  SampleProject
//  Created by Takashi Kawasaki.
//  Creation date    2012/4/4
//  Last update date 2012/4/4
//  Copyright MaiWay Co., Ltd. All rights reserved.
//----------------------------------------------------------------------------//

//-------------------------------------------------//
// M-1 ヘッダーファイルをインポートしようブロック
//-------------------------------------------------//
#import "ViewController.h"

@interface ViewController ()
@end

//-------------------------------------------------//
// M-2 クラスとアクセサメソッドの実装をしようブロック
//-------------------------------------------------//
@implementation ViewController

//-------------------------------------------------//
// M-3 まずはここに処理を書こうブロック
//-------------------------------------------------//
- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    // ビューの設定をまとめて行うメソッドを呼び出します。
    [self configureView];
}

//-------------------------------------------------//
// M-4 ビューを好きなだけイジろうブロック
//-------------------------------------------------//
- (void)configureView
{    
	//-- スクロールビューの設定 --//
	scrollView_ = [[UIScrollView alloc] initWithFrame:CGRectMake(0.0, 0.0, 320.0, 480.0)];
    scrollView_.bounces = YES;
	scrollView_.pagingEnabled = NO;
	scrollView_.contentSize = CGSizeMake(320.0, 960.0);
	scrollView_.showsHorizontalScrollIndicator = NO;
	scrollView_.showsVerticalScrollIndicator = NO;
	scrollView_.scrollsToTop = YES;
    scrollView_.delegate = self;
	
	//-- カスタムラベルの設定 その1 --//
	customLabel1_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 30.0, 320.0, 40.0)];
	customLabel1_.font = [UIFont fontWithName:@"HiraKakuProN-W3" size:8];
	customLabel1_.textAlignment = UITextAlignmentCenter;
	customLabel1_.textColor = [UIColor blackColor];
	customLabel1_.backgroundColor = [UIColor clearColor];
	customLabel1_.text = @"サルりす";
	
	//-- カスタムラベルの設定 その1（フォント説明用） --//
	customLabel1b_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 50.0, 320.0, 40.0)];
	customLabel1b_.font = [UIFont fontWithName:@"HiraKakuProN-W3" size:12];
	customLabel1b_.textAlignment = UITextAlignmentCenter;
	customLabel1b_.textColor = [UIColor blackColor];
	customLabel1b_.backgroundColor = [UIColor clearColor];
	customLabel1b_.text = @"ヒラギノ角ゴシックProW3 size8pt";
	
	//-- カスタムラベルの設定 その2 --//
	customLabel2_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 90.0, 320.0, 40.0)];
	customLabel2_.font = [UIFont fontWithName:@"HiraKakuProN-W3" size:12];
	customLabel2_.textAlignment = UITextAlignmentCenter;
	customLabel2_.textColor = [UIColor blackColor];
	customLabel2_.backgroundColor = [UIColor clearColor];
	customLabel2_.text = @"サルりす";
	
	//-- カスタムラベルの設定 その2（フォント説明用） --//
	customLabel2b_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 110.0, 320.0, 40.0)];
	customLabel2b_.font = [UIFont fontWithName:@"HiraKakuProN-W3" size:12];
	customLabel2b_.textAlignment = UITextAlignmentCenter;
	customLabel2b_.textColor = [UIColor blackColor];
	customLabel2b_.backgroundColor = [UIColor clearColor];
	customLabel2b_.text = @"ヒラギノ角ゴシックProW3 size12pt";
	
	//-- カスタムラベルの設定 その3 --//
	customLabel3_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 150.0, 320.0, 40.0)];
	customLabel3_.font = [UIFont fontWithName:@"HiraKakuProN-W3" size:24];
	customLabel3_.textAlignment = UITextAlignmentCenter;
	customLabel3_.textColor = [UIColor blackColor];
	customLabel3_.backgroundColor = [UIColor clearColor];
	customLabel3_.text = @"サルりす";
	
	//-- カスタムラベルの設定 その3（フォント説明用） --//
	customLabel3b_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 170.0, 320.0, 40.0)];
	customLabel3b_.font = [UIFont fontWithName:@"HiraKakuProN-W3" size:12];
	customLabel3b_.textAlignment = UITextAlignmentCenter;
	customLabel3b_.textColor = [UIColor blackColor];
	customLabel3b_.backgroundColor = [UIColor clearColor];
	customLabel3b_.text = @"ヒラギノ角ゴシックProW3 size24pt";
	
	//-- カスタムラベルの設定 その4 --//
	customLabel4_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 210.0, 320.0, 50.0)];
	customLabel4_.font = [UIFont fontWithName:@"HiraKakuProN-W3" size:36];
	customLabel4_.textAlignment = UITextAlignmentCenter;
	customLabel4_.textColor = [UIColor blackColor];
	customLabel4_.backgroundColor = [UIColor clearColor];
	customLabel4_.text = @"サルりす";
	
	//-- カスタムラベルの設定 その4（フォント説明用） --//
	customLabel4b_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 235.0, 320.0, 40.0)];
	customLabel4b_.font = [UIFont fontWithName:@"HiraKakuProN-W3" size:12];
	customLabel4b_.textAlignment = UITextAlignmentCenter;
	customLabel4b_.textColor = [UIColor blackColor];
	customLabel4b_.backgroundColor = [UIColor clearColor];
	customLabel4b_.text = @"ヒラギノ角ゴシックProW3 size36pt";
	
	//-- カスタムラベルの設定 その5 --//
	customLabel5_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 275.0, 320.0, 60.0)];
	customLabel5_.font = [UIFont fontWithName:@"HiraKakuProN-W3" size:48];
	customLabel5_.textAlignment = UITextAlignmentCenter;
	customLabel5_.textColor = [UIColor blackColor];
	customLabel5_.backgroundColor = [UIColor clearColor];
	customLabel5_.text = @"サルりす";
	
	//-- カスタムラベルの設定 その5（フォント説明用） --//
	customLabel5b_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 308.0, 320.0, 40.0)];
	customLabel5b_.font = [UIFont fontWithName:@"HiraKakuProN-W3" size:12];
	customLabel5b_.textAlignment = UITextAlignmentCenter;
	customLabel5b_.textColor = [UIColor blackColor];
	customLabel5b_.backgroundColor = [UIColor clearColor];
	customLabel5b_.text = @"ヒラギノ角ゴシックProW3 size48pt";
	
	//-- カスタムラベルの設定 その6 --//
	customLabel6_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 350.0, 320.0, 40.0)];
	customLabel6_.font = [UIFont fontWithName:@"TimesNewRomanPSMT" size:8];
	customLabel6_.textAlignment = UITextAlignmentCenter;
	customLabel6_.textColor = [UIColor blackColor];
	customLabel6_.backgroundColor = [UIColor clearColor];
	customLabel6_.text = @"SARURIS";
	
	//-- カスタムラベルの設定 その6（フォント説明用） --//
	customLabel6b_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 370.0, 320.0, 40.0)];
	customLabel6b_.font = [UIFont fontWithName:@"TimesNewRomanPSMT" size:12];
	customLabel6b_.textAlignment = UITextAlignmentCenter;
	customLabel6b_.textColor = [UIColor blackColor];
	customLabel6b_.backgroundColor = [UIColor clearColor];
	customLabel6b_.text = @"TimesNewRomanPSMT size8pt";
	
	//-- カスタムラベルの設定 その7 --//
	customLabel7_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 410.0, 320.0, 40.0)];
	customLabel7_.font = [UIFont fontWithName:@"TimesNewRomanPSMT" size:12];
	customLabel7_.textAlignment = UITextAlignmentCenter;
	customLabel7_.textColor = [UIColor blackColor];
	customLabel7_.backgroundColor = [UIColor clearColor];
	customLabel7_.text = @"SARURIS";
	
	//-- カスタムラベルの設定 その7（フォント説明用） --//
	customLabel7b_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 430.0, 320.0, 40.0)];
	customLabel7b_.font = [UIFont fontWithName:@"TimesNewRomanPSMT" size:12];
	customLabel7b_.textAlignment = UITextAlignmentCenter;
	customLabel7b_.textColor = [UIColor blackColor];
	customLabel7b_.backgroundColor = [UIColor clearColor];
	customLabel7b_.text = @"TimesNewRomanPSMT size12pt";	
    
	//-- カスタムラベルの設定 その8 --//
	customLabel8_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 470.0, 320.0, 40.0)];
	customLabel8_.font = [UIFont fontWithName:@"TimesNewRomanPSMT" size:24];
	customLabel8_.textAlignment = UITextAlignmentCenter;
	customLabel8_.textColor = [UIColor blackColor];
	customLabel8_.backgroundColor = [UIColor clearColor];
	customLabel8_.text = @"SARURIS";
	
	//-- カスタムラベルの設定 その8（フォント説明用） --//
	customLabel8b_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 490.0, 320.0, 40.0)];
	customLabel8b_.font = [UIFont fontWithName:@"TimesNewRomanPSMT" size:12];
	customLabel8b_.textAlignment = UITextAlignmentCenter;
	customLabel8b_.textColor = [UIColor blackColor];
	customLabel8b_.backgroundColor = [UIColor clearColor];
	customLabel8b_.text = @"TimesNewRomanPSMT size24pt";	
	
	//-- カスタムラベルの設定 その9 --//
	customLabel9_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 530.0, 320.0, 40.0)];
	customLabel9_.font = [UIFont fontWithName:@"TimesNewRomanPSMT" size:36];
	customLabel9_.textAlignment = UITextAlignmentCenter;
	customLabel9_.textColor = [UIColor blackColor];
	customLabel9_.backgroundColor = [UIColor clearColor];
	customLabel9_.text = @"SARURIS";
	
	//-- カスタムラベルの設定 その9（フォント説明用） --//
	customLabel9b_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 552.0, 320.0, 40.0)];
	customLabel9b_.font = [UIFont fontWithName:@"TimesNewRomanPSMT" size:12];
	customLabel9b_.textAlignment = UITextAlignmentCenter;
	customLabel9b_.textColor = [UIColor blackColor];
	customLabel9b_.backgroundColor = [UIColor clearColor];
	customLabel9b_.text = @"TimesNewRomanPSMT size36pt";	
	
	//-- カスタムラベルの設定 その10 --//
	customLabel10_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 600.0, 320.0, 40.0)];
	customLabel10_.font = [UIFont fontWithName:@"TimesNewRomanPSMT" size:48];
	customLabel10_.textAlignment = UITextAlignmentCenter;
	customLabel10_.textColor = [UIColor blackColor];
	customLabel10_.backgroundColor = [UIColor clearColor];
	customLabel10_.text = @"SARURIS";
	
	//-- カスタムラベルの設定 その10（フォント説明用） --//
	customLabel10b_ = [[UILabel alloc] initWithFrame:CGRectMake(0.0, 625.0, 320.0, 40.0)];
	customLabel10b_.font = [UIFont fontWithName:@"TimesNewRomanPSMT" size:12];
	customLabel10b_.textAlignment = UITextAlignmentCenter;
	customLabel10b_.textColor = [UIColor blackColor];
	customLabel10b_.backgroundColor = [UIColor clearColor];
	customLabel10b_.text = @"TimesNewRomanPSMT size48pt";	
	
	//-- ビューへの追加 ------------------------------//
	// 設定の終わった表示アイテムをビューに追加します。
	// 全てaddSubviewでも良いのですが、
	// 前後関係を調整できるように、insertSubview:atIndexを使用しています。
	// atIndexは0が“一番後ろ”です。ここでは各アイテムをひとつずつ最背面に足しています。
	//---------------------------------------------//
	[self.view addSubview:scrollView_];
	
	[scrollView_ insertSubview:customLabel1_ atIndex:0];
	[scrollView_ insertSubview:customLabel2_ atIndex:0];
	[scrollView_ insertSubview:customLabel3_ atIndex:0];
	[scrollView_ insertSubview:customLabel4_ atIndex:0];
	[scrollView_ insertSubview:customLabel5_ atIndex:0];
	[scrollView_ insertSubview:customLabel6_ atIndex:0];
	[scrollView_ insertSubview:customLabel7_ atIndex:0];
	[scrollView_ insertSubview:customLabel8_ atIndex:0];
	[scrollView_ insertSubview:customLabel9_ atIndex:0];
	[scrollView_ insertSubview:customLabel10_ atIndex:0];
	
	[scrollView_ insertSubview:customLabel1b_ atIndex:0];
	[scrollView_ insertSubview:customLabel2b_ atIndex:0];
	[scrollView_ insertSubview:customLabel3b_ atIndex:0];
	[scrollView_ insertSubview:customLabel4b_ atIndex:0];
	[scrollView_ insertSubview:customLabel5b_ atIndex:0];
	[scrollView_ insertSubview:customLabel6b_ atIndex:0];
	[scrollView_ insertSubview:customLabel7b_ atIndex:0];
	[scrollView_ insertSubview:customLabel8b_ atIndex:0];
	[scrollView_ insertSubview:customLabel9b_ atIndex:0];
	[scrollView_ insertSubview:customLabel10b_ atIndex:0];
}

//-------------------------------------------------//
// M-5 オリジナルメソッドを実装しようブロック
//-------------------------------------------------//

//-------------------------------------------------//
// M-6 デリゲートメソッドをイジろうブロック
//-------------------------------------------------//
- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

//-------------------------------------------------//
// M-7 メソッドファイルおつかれさまでしたブロック
//-------------------------------------------------//
@end
