//----------------------------------------------------------------------------//
//  ViewController.m
//  SampleProject
//  Created by Takashi Kawasaki.
//  Creation date    2012/4/4
//  Last update date 2012/4/4
//  Copyright MaiWay Co., Ltd. All rights reserved.
//----------------------------------------------------------------------------//

//-------------------------------------------------//
// M-1 ヘッダーファイルをインポートしようブロック
//-------------------------------------------------//
#import "ViewController.h"

@interface ViewController ()
@end

//-------------------------------------------------//
// M-2 クラスとアクセサメソッドの実装をしようブロック
//-------------------------------------------------//
@implementation ViewController

//-------------------------------------------------//
// M-3 まずはここに処理を書こうブロック
//-------------------------------------------------//
- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    // ビューの設定をまとめて行うメソッドを呼び出します。
    [self configureView];
}

//-------------------------------------------------//
// M-4 ビューを好きなだけイジろうブロック
//-------------------------------------------------//
- (void)configureView
{
	customButton = [UIButton buttonWithType:UIButtonTypeRoundedRect];
	customButton.frame = CGRectMake(40.0, 100.0, 240.0, 40.0);
	[customButton setTitle:@"つぶやく" forState:UIControlStateNormal];
	customButton.titleLabel.font = [UIFont boldSystemFontOfSize: 16];
	customButton.backgroundColor = [UIColor clearColor];
	[customButton addTarget:self action:@selector(sendTweet) forControlEvents:UIControlEventTouchUpInside];
	[self.view addSubview:customButton];
    
    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(canTweetStatus) name:ACAccountStoreDidChangeNotification object:nil];
}

//-------------------------------------------------//
// M-5 オリジナルメソッドを実装しようブロック
//-------------------------------------------------//
- (void)canTweetStatus
{
    if ([TWTweetComposeViewController canSendTweet]) {
        customButton.enabled = YES;
    } else {
        customButton.enabled = NO;
    }
}

- (void)sendTweet
{
    TWTweetComposeViewController *tweetViewController = [[TWTweetComposeViewController alloc] init];
    [tweetViewController setInitialText:[NSString stringWithFormat:@"Hello,world! #sarudeki"]];
    [tweetViewController setCompletionHandler:^(TWTweetComposeViewControllerResult result) {
        switch (result) {
            case TWTweetComposeViewControllerResultCancelled:
                [self dismissModalViewControllerAnimated:YES];
                break;
            case TWTweetComposeViewControllerResultDone:
                [self dismissModalViewControllerAnimated:YES];
                break;
            default:
                break;
        }
    }];
    [self presentModalViewController:tweetViewController animated:YES];
}

//-------------------------------------------------//
// M-6 デリゲートメソッドをイジろうブロック
//-------------------------------------------------//
- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

//-------------------------------------------------//
// M-7 メソッドファイルおつかれさまでしたブロック
//-------------------------------------------------//
@end
