//----------------------------------------------------------------------------//
//  ViewController.m
//  SampleProject
//  Created by Takashi Kawasaki.
//  Creation date    2012/4/4
//  Last update date 2012/4/4
//  Copyright MaiWay Co., Ltd. All rights reserved.
//----------------------------------------------------------------------------//

//-------------------------------------------------//
// M-1 ヘッダーファイルをインポートしようブロック
//-------------------------------------------------//
#import "ViewController.h"

@interface ViewController ()
@end

//-------------------------------------------------//
// M-2 クラスとアクセサメソッドの実装をしようブロック
//-------------------------------------------------//
@implementation ViewController

//-------------------------------------------------//
// M-3 まずはここに処理を書こうブロック
//-------------------------------------------------//
- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    // ビューの設定をまとめて行うメソッドを呼び出します。
    [self configureView];
}

//-------------------------------------------------//
// M-4 ビューを好きなだけイジろうブロック
//-------------------------------------------------//
- (void)configureView
{
    NSInteger count = 8;
    CGFloat angle = 45.0;
    NSString *name = @"マイキー";
	
    NSUserDefaults *userDefaults   = [NSUserDefaults standardUserDefaults];
    [userDefaults setInteger:count forKey:@"KEY_COUNT"];
    [userDefaults setFloat:angle forKey:@"KEY_ANGLE"];
    [userDefaults setObject:name forKey:@"KEY_NAME"];
    
    NSInteger tempCount  = [userDefaults floatForKey:@"KEY_COUNT"];
    CGFloat tempAngle = [userDefaults integerForKey:@"KEY_ANGLE"];
    NSString *tempName = [userDefaults stringForKey:@"KEY_NAME"];
    
    NSLog(@"保存された整数のデータは『%d』です。",tempCount);
    NSLog(@"保存された小数のデータは『%f』です。",tempAngle);
    NSLog(@"保存された文字列のデータは『%@』です。",tempName);
}

//-------------------------------------------------//
// M-5 オリジナルメソッドを実装しようブロック
//-------------------------------------------------//

//-------------------------------------------------//
// M-6 デリゲートメソッドをイジろうブロック
//-------------------------------------------------//
- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

//-------------------------------------------------//
// M-7 メソッドファイルおつかれさまでしたブロック
//-------------------------------------------------//
@end
