//----------------------------------------------------------------------------//
//  ViewController.h
//  SampleProject
//  Created by Takashi Kawasaki.
//  Creation date    2012/4/4
//  Last update date 2012/4/4
//  Copyright MaiWay Co., Ltd. All rights reserved.
//----------------------------------------------------------------------------//

//-------------------------------------------------//
// H-1 フレームワークをインポートしようブロック
//-------------------------------------------------//
#import <UIKit/UIKit.h>
#import <AVFoundation/AVFoundation.h>
#import <AudioToolbox/AudioServices.h>

//-------------------------------------------------//
// H-2 クラスとインスタンス変数の宣言をしようブロック
//-------------------------------------------------//
@interface ViewController : UIViewController
{
    AVAudioPlayer *customAudioPlayer;
	SystemSoundID customSystemSoundID;
}


//-------------------------------------------------//
// H-3 アクセサメソッドの宣言をしようブロック
//-------------------------------------------------//

//-------------------------------------------------//
// H-4 オリジナルメソッドの宣言をしようブロック
//-------------------------------------------------//
- (void)configureView;
- (void)playAudio;
- (void)playSound;

//-------------------------------------------------//
// H-5 ヘッダーファイルおつかれさまでしたブロック
//-------------------------------------------------//
@end
